nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::cloud_storage::IAsyncOperationHandler Class Referenceabstract

`#include <i_async_operation_handler.h>`

Inheritance diagram for nx::sdk::cloud_storage::IAsyncOperationHandler:

## Public Member Functions
virtual void | onArchiveUpdated (const char *engineId, const char *lastSequenceId, nx::sdk::ErrorCode errorCode, const IList< IDeviceArchive > *deviceArchive) const =0
virtual void | onBucketDescriptionUpdated (const char *engineId, const IBucketDescriptionList *bucketDescriptionList) const =0
virtual void | onSaveOperationCompleted (const char *engineId, MetadataType metadataType, nx::sdk::ErrorCode errorCode) const =0
Public Member Functions inherited from nx::sdk::Interface< IAsyncOperationHandler >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IAsyncOperationHandler >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

A pointer to the this class instance is provided to the engine when IIntegration::createEngine() is called. The engine should use it to periodically inform Server about any Archive changes and report results of the recent save operations.

## Member Function Documentation

## ◆ onArchiveUpdated()

virtual void nx::sdk::cloud_storage::IAsyncOperationHandler::onArchiveUpdated | ( | const char * | engineId,
|  | const char * | lastSequenceId,
|  | nx::sdk::ErrorCode | errorCode,
|  | const IList< IDeviceArchive > * | deviceArchive
| ) |  | const
| pure virtual

Engine should call this periodically to check if something is changed on the backend. I.e. some data was removed due to the retention policy, new data has been recorded, new device appeared. The deviceArchive may be destroyed by the plugin right after the onArchiveUpdated function has returned.

The documentation for this class was generated from the following file:

- src/nx/sdk/cloud_storage/i_async_operation_handler.h